using System;
using UnityEngine;

public class GenericLockOnTarget : MonoBehaviour, ILockOnTarget{
    public float lockonTargetRadius{ get; set; } = 1f;
    
    public void OnTargetDelete(){
        GetComponent<ILockOnTarget>().SafelyDeleteTarget();
    }

    void OnDestroy(){
        OnTargetDelete();
    }
}
